CURLOPT_INTERLEAVEDATA(3)

NAME
CURLOPT_INTERLEAVEDATA - custom pointer passed to RTSP interleave callback

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_INTERLEAVEDATA, void *pointer);

DESCRIPTION
This is the userdata pointer that will be passed to CURLOPT_INTERLEAVEFUNCTION(3) when interleaved RTP data is received. If the interleave function callback is not set, this pointer is not used anywhere.

DEFAULT
NULL

PROTOCOLS
RTSP

EXAMPLE
static size_t rtp_write(void *ptr, size_t size, size_t nmemb, void *user)
{
  struct local *l = (struct local *)user;
  /* take care of the packet in 'ptr', then return... */
  return size * nmemb;
}
{
  struct local rtp_data;
  curl_easy_setopt(curl, CURLOPT_INTERLEAVEFUNCTION, rtp_write);
  curl_easy_setopt(curl, CURLOPT_INTERLEAVEDATA, &rtp_data);
}

AVAILABILITY
Added in 7.20.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_INTERLEAVEFUNCTION(3), CURLOPT_RTSP_REQUEST(3),